#include <stdio.h>
#define printf
void EAGLE_MAC_READ(unsigned x,unsigned *y)
{
    unsigned tmp = *(volatile unsigned int *) (0x80008000 + x);
    *y = tmp;
    printf("REG32(%x) == %x\n", x, tmp);
}
unsigned EAGLE_MAC_READ_IMM(unsigned x)
{
    unsigned tmp = *(volatile unsigned int *) (0x80008000 + x);
    printf("IMM REG32(%x) == %x\n", x, tmp);
    return tmp;
}
void EAGLE_MAC_WRITE(unsigned x,unsigned y)
{
    *(volatile unsigned int *) (0x80008000 + x) = y;
    printf("REG32(%x) = %x\n", x, y);
}

void W81_WRITE_BYTE(unsigned *x, unsigned y)
{
    printf("REG8(%x) = %x\n", x, y);
    *(unsigned char *) x = y;
}
void W81_WRITE_HWORD(unsigned *x, unsigned y)
{
    printf("REG16(%x) = %x\n", x, y);
    *(unsigned short *) x = y;
}
void W81_WRITE_WORD(unsigned *x, unsigned y)
{
    printf("REG32(%x) = %x\n", x, y);
    *(unsigned int *) x = y;
}
