#ifndef _APFLASH_H_
#define _APFLASH_H_ 
/*
*                Copyright 2003, Marvell Semiconductor, Inc.
* This code contains confidential information of Marvell Semiconductor, Inc.
* No rights are granted herein under any patent, mask work right or copyright
* of Marvell or any third party.
* Marvell reserves the right at its sole discretion to request that this code
* be immediately returned to Marvell. This code is provided "as is".
* Marvell makes no warranties, express, implied or otherwise, regarding its
* accuracy, completeness or performance.
*/

/*!
 * \file    apflash.h
 * \brief   Declare interface for AP flash module
 *
 * $Revision: 1.1 $
 * $Date: 2003/08/21 22:31:12 $
 */

extern void flashDrvInit(void);
extern int ResetToFactorySettings(void);
extern int FirmwareUpgrade(char *, unsigned long);
extern int SaveUserConfig(void);
extern int UserConfigModified(void);

#endif /* _APFLASH_H_ */
