/******************** (c) Marvell Semiconductor, Inc., 2001 *******************
*
* $Header: E:\\APCVSDEPOT/wlan/prod/ap/ap31/bridge/incl/fragment.h,v 1.5 2003/11/21 17:22:57 rahulk Exp $
*
* Purpose:
*    This file contains the definitions of the fragment module
*
* Public Procedures:
*
* Private Procedures:
*
* Notes:
*    None.
*
*****************************************************************************/
#ifndef  __FRAGMENT_H__
#define __FRAGMENT_H__

/*============================================================================= */
/*                               INCLUDE FILES */
/*============================================================================= */
#include "osif.h"
#include "sysinfo.h"
#include "ieee_types.h"
#include "tx80211.h"

/*============================================================================= */
/*                                DEFINITIONS */
/*============================================================================= */
#define MAX_FRAGMENT_NUM      16
#define FRAGOUT_FREE          0
#define FRAGOUT_DMA_PENDING   1
#define FRAGOUT_WEP_PENDING   2
#define FRAG_BUF_SIZE         ( 3 * 1024) 

/*
typedef struct
{
    USR_BUF_DESC *usp;
    UINT16 SeqNo;
    UINT8 *pCurrent;
    UINT32 time_out_time;
    UINT32 time_out_timeMSB;
    UINT8 FragNo;
} DeFragBufInfo_t;
*/

/*============================================================================= */
/*                          PUBLIC TYPE DEFINITIONS */
/*============================================================================= */


/*============================================================================= */
/*                    PUBLIC PROCEDURES (ANSI Prototypes) */
/*============================================================================= */
extern void InitFragBuf(void);
#endif/* __FRAGMENT_H__ */
