/******************** (c) Marvell Semiconductor, Inc., 2002 *******************
 *
 * $Header: X:/APCVSDEPOT/Bootloader/AP21/ap21_tftp_boot/access.h,v 1.1.1.1 2002/12/30 20:44:04 cvu Exp $
 *
 * Purpose:
 *    Macro's used to access the internal config registers in Eagle
 *    GPIO setup code.
 *
 * Public Procedures:
 *    None.
 *
 * Notes:
 *    None.
 *
 *****************************************************************************/

#ifndef _ACCESS_H_
#define _ACCESS_H_

//=============================================================================
//                               INCLUDE FILES
//=============================================================================
#include "defs.h"

//=============================================================================
//                                DEFINITIONS
//=============================================================================

#define REG8(x) ((*(volatile u8 *)x))
#define REG16(x) ((*(volatile u16 *)x))
#define REG32(x) ((*(volatile u32 *)x))

#endif /* _ACCESS_H_ */
