#ifndef	_BRIDGE_H
#define	_BRIDGE_H

apio_handle_t llcHandle, etherHandle,wlanHandle;
#ifdef WDS_FEATURE
/*exported apies in ds block*/
int DSInit(void);
#ifdef ECOS
int DSForwardPacket(apio_handle_t port_handler,apio_bufdescr_t *pBufDescr);
#elif defined (OS_VxW)
int DSForwardPacket(apio_handle_t port_handle, M_BLK_ID pNetBuff);
#endif
UINT32 * apio_GetWlanTxBuf(void);
UINT32 * apio_GetEtherTxBuf(void);
inline void CheckDmaDone(void);

#endif // WDS_FEATURE

#ifdef OS_VxW
#include    "end.h"

typedef struct br_port_s
{
    struct br_port_s   *next;
    UINT    flags;
    void *   pBrCookie;
    char portName[END_NAME_MAX];
    struct if_data if_data;
} BR_PORT;

#define	BRF_NO_FLOODING 0x01			/*  */
#define	BRF_PORT_LAN    0x02			/*  */
#define	BRF_PORT_WLAN   0x04			/*  */
#define	BRF_PORT_WDS    0x08			/*  */
#endif

#endif /* _BRIDGE_H */
