#ifndef __OEM_H__
#define __OEM_H__
/*
*                Copyright 2003, Marvell Semiconductor, Inc.
* This code contains confidential information of Marvell Semiconductor, Inc.
* No rights are granted herein under any patent, mask work right or copyright
* of Marvell or any third party.
* Marvell reserves the right at its sole discretion to request that this code
* be immediately returned to Marvell. This code is provided "as is".
* Marvell makes no warranties, express, implied or otherwise, regarding its
* accuracy, completeness or performance.
*/

/*!
 * \file    oem.h
 * \brief   Conditional compilation flags to turn on/off features
 *
 * $Revision: 1.2 $
 * $Date: 2003/09/23 00:58:31 $
 */

#include "usrcfg.h"

#define OEMSSID "AP31-NEW" /* default SSID */
#define OEMCHANNEL 11 /** default channel **/
#define TASKDHCP 1
#define ENABLE_WEB_SERVER 1
#define TESTCMD 1

//#define ENABLE_GPIO_INT 0

#define FLASH_CONFIG 1

#define MFG_DATA_ADDRESS mfgDataAddress()

#define DOMAIN_SUPPORTED 1
#define APEVT_STA_ASSOC_SUPPORT 1
#define MAC_ADDR_FROM_FLASH 1
#define OPEN_OR_SHARED_MODE_ONLY 1 
/*#define ENABLE_STA_ERROR_OUT 1             */
/*#define MFG_MAGIC_SUPPORT 1                */
/*#define ENABLE_PROBE_REQUEST_KEEP_ALIVE 1  */


#endif /*END OEM_H  */
