#define HTOC(x)   (x>9? (x-9)|0x40:x|0x30)
#define CTOH(x,y) (0xf0&((x>0x39? (x-0x37)<<4:(x&0x0F)<<4)))|(0x0f&((y>0x39? y-0x37:(y&0x0F))))


void ctoh(char *s1,char *data,int type)
{
	int i,len;
	
	switch(type) {
	case 1:
		len = 5;// for 64 WEP Encypt
		break;
	case 2:
		len = 13;// for 128 WEP Encypt
		break;
	case 3:
		len = 6; // for MAC address
		break;
	}
	for (i=0;i<len;i++)
		data[i]=CTOH((s1[i*2]),(s1[i*2+1]));
	if (type != 3)
		data[i]='\0'; // NULL end is not needed for MAC
}
void htoc(char *s1,char *data,int type)
{
	int i,len;
	
	switch(type) {
	case 1:
		len = 5;// for 64 WEP Encypt
		break;
	case 2:
		len = 13;// for 128 WEP Encypt
		break;
	case 3:
		len = 6;// for MAC address
		break;
	}
	for (i=0;i<len;i++){
	        data[i*2+1]=HTOC((0x0F&(s1[i])));
	        data[i*2]=HTOC((0x0F&(s1[i]>>4)));
	}
	if (type != 3)
		data[i*2]='\0';// NULL end is not needed for MAC
}
 	