#ifndef	_WDS_H
#define	_WDS_H

#include    "dshash.h"
    #ifndef __DS_H__
        #define __DS_H__

        #define DS_ROUTER_CHANGE_MIN_TIME       3       //min time for route change
        #define MAX_DS_NODES                    100

typedef struct __DSFDescr {
    UINT32 porthandle;
    UINT8   *SrcAddr;
    UINT8   *DstAddr;
    UINT16 padding; //for align,no use
}t_DSFDescr;

//structure used in hash
typedef struct _sDSCargo {
    UINT32 porthandle;
    UINT32 stamp;
    UINT16 firstadd;
} sDSCargo;

#define	HASHcargoName	sDSCargo

typedef struct _t_WDS_Port_CB {
    UINT32 wdsxHandle;
    #define WDS_PORT_IN_USE         1
    #define WDS_PORT_NOT_USE        0
    UINT32  status; 
    UINT8 repeaterID[6];
}t_WDS_Port_CB;

extern t_WDS_Port_CB WDS_Port_CB[];
/*exported apies in ds block*/
int DSInit(void);
static void addDSNode(sHASH *p);
static void delDSNode(sHASH *p);
#ifdef ECOS
int DSForwardPacket(apio_handle_t port_handler,apio_bufdescr_t *pBufDescr);
#elif defined (OS_VxW)
int DSForwardPacket(apio_handle_t port_handle, M_BLK_ID pNetBuff);
#endif

#endif  /* _DS_H_ */

#endif /* _WDS_H */
