#if !defined(_HAL_SYS_H_)
#define _HAL_SYS_H_
/*
 *                Copyright 2003, Marvell Semiconductor, Inc.
 * This code contains confidential information of Marvell Semiconductor, Inc.
 * No rights are granted herein under any patent, mask work right or copyright
 * of Marvell or any third party.
 * Marvell reserves the right at its sole discretion to request that this code
 * be immediately returned to Marvell. This code is provided "as is".
 * Marvell makes no warranties, express, implied or otherwise, regarding its
 * accuracy, completeness or performance.
 */

/*!
 * \file  hal_sys.h
 * \brief General system control routines
 */
 
BOOLEAN sys_InitBBPAccess(void);
BOOLEAN sys_InitPHYAccess(void);
void sys_WaitUntilBusFree(void);

#endif /* _HAL_SYS_H_ */


