#if !defined(_LBU_H_)
#define _LBU_H_

/*
 *                Copyright 2003, Marvell Semiconductor, Inc.
 * This code contains confidential information of Marvell Semiconductor, Inc.
 * No rights are granted herein under any patent, mask work right or copyright
 * of Marvell or any third party.
 * Marvell reserves the right at its sole discretion to request that this code
 * be immediately returned to Marvell. This code is provided "as is".
 * Marvell makes no warranties, express, implied or otherwise, regarding its
 * accuracy, completeness or performance.
 */

/*!
 * \file  lbu.h
 * \brief Definitions for Low Speed Bus Unit HAL
 */


/*--------------------------------------------------------------*/
/*    Low Speed Bus Unit Registers                              */
/*--------------------------------------------------------------*/
#define WL_LBU_RESET         (WL_LBU_CFG_BASE+0x00)
#define WL_LBU_CLOCK         (WL_LBU_CFG_BASE+0x04)
#define WL_LBU_SELECT        (WL_LBU_CFG_BASE+0x08)

#endif /* _LBU_H_ */

